# Iostreams Library Macros

#### Macros

`BOOST_IOS`
`BOOST_IOSTREAMS_BASIC_ISTREAM`
`BOOST_IOSTREAMS_BASIC_IOS`
`BOOST_IOSTREAMS_BASIC_IOSTREAM`
`BOOST_IOSTREAMS_BASIC_OSTREAM`
`BOOST_IOSTREAMS_BASIC_STREAMBUF`
`BOOST_IOSTREAMS_CHAR_TRAITS`
`BOOST_IOSTREAMS_COMPONENT`
`BOOST_IOSTREAMS_COMPONENT_TYPE`
`BOOST_IOSTREAMS_DEFAULT_DEVICE_BUFFER_SIZE`
`BOOST_IOSTREAMS_DEFAULT_FILTER_BUFFER_SIZE`
`BOOST_IOSTREAMS_DEFAULT_PBACK_BUFFER_SIZE`
`BOOST_IOSTREAMS_FAILURE`
`BOOST_IOSTREAMS_PIPABLE`
`BOOST_IOSTREAMS_PUBSEEKOFF`
`BOOST_IOSTREAMS_PUBSEEKPOS`
`BOOST_IOSTREAMS_PUBSYNC`

Revised 02 Feb 2008

© Copyright 2008 CodeRage, LLC
© Copyright 2004-2007 Jonathan Turkanis
Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)